
Application: gvSIG desktop - gvSIG bugs #1924
Problems managing multisurface3D shapefile layers
06/21/2013 01:45 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Vector editing
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build: 2067
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

We get an error when trying to:
- Edit the file. It doesn't allow to save changes.
- Export the layer to shapefile.

Attached the log file and a multisurface3D shapefile to test it.

History
#1 - 06/26/2013 12:29 PM - Ignacio Brodín

La escritura de poligonos 3D shape a nivel de escritura de bytes se hacía mal debido a que se metía más información de la necesaria en el buffer.
Por esto el tamaño calculado del buffer (ByteBuffer) era pequeño y provocaba una excepción.

gvsig-desktop:r40421

#2 - 06/26/2013 01:13 PM - Ignacio Brodín
- Status changed from New to Fixed
- Add-on resolve build set to 2067

#3 - 01/13/2014 09:45 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#4 - 01/27/2014 04:33 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG_multisurface3D.log 212 KB 06/21/2013 Manuel Madrid
multisurface3D_shapefile.zip 213 KB 06/21/2013 Manuel Madrid
